Bug 194286 - [MAINTAINER] textproc/kdiff3 update
Summary: [MAINTAINER] textproc/kdiff3 update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-10 14:11 UTC by luca.pizzamiglio
Modified: 2014-10-15 22:02 UTC (History)
1 user (show)

See Also:


Attachments
The patch for the update (6.54 KB, patch)
2014-10-10 14:11 UTC, luca.pizzamiglio
no flags Details | Diff
The recreated patch (6.47 KB, patch)
2014-10-13 07:35 UTC, luca.pizzamiglio
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description luca.pizzamiglio 2014-10-10 14:11:29 UTC
Created attachment 148167 [details]
The patch for the update

Updating the port to the last version (0.9.98)

* Removing a fix already present in the upstream
* Added/fixed the support to DOCS and NLS
* removing @dirrm*
* added LICENSE_FILE
Comment 1 John Marino freebsd_committer 2014-10-12 11:52:38 UTC
This:

-COMMENT=	KDE4 graphical frontend for diff
+COMMENT=	A KDE4 graphical frontend for diff

That changes the COMMENT from acceptable to unacceptable.  It cannot start with an indefinite article.
Comment 2 Max Brazhnikov freebsd_committer 2014-10-12 17:09:22 UTC
Please create diff vs up-to-date portstree or use subversion as described in the Porters Handbook

http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/port-upgrading.html#svn-diff
Comment 3 luca.pizzamiglio 2014-10-13 07:35:04 UTC
Created attachment 148230 [details]
The recreated patch

Recreating the patch
I followed the same instruction also for the first submitted patch, as usual.
Hoping this time it's OK.
I've also fixed the comment line, as requested.
Comment 4 Max Brazhnikov freebsd_committer 2014-10-13 16:25:28 UTC
Are you sure you need this:

@@ -11,6 +11,7 @@ 
 COMMENT=	KDE4 graphical frontend for diff
 
 LICENSE=	GPLv2
+LICENSE_FILE=	${WRKSRC}/COPYING
 
 USE_KDE4=	kdelibs libkonq kdeprefix kdehier automoc4
 USE_QT4=	moc_build qmake_build rcc_build uic_build
@@ -27,4 +28,9 @@ 
 DOCS_CMAKE_OFF=	-DBUILD_doc:BOOL=FALSE
 DOCS_CMAKE_ON=	-DBUILD_doc:BOOL=TRUE
 
+post-patch:
+#Fix build with kdelibs>=4.5.0
+	${REINPLACE_CMD} -e 's,V4.1.2-Based,V4.2-Based,g' \
+		${WRKSRC}/doc/*/index.docbook

It looks like you started from the outdated port, this snippet was removed once:
http://svnweb.freebsd.org/ports/head/textproc/kdiff3/Makefile?r1=339314&r2=339808
Comment 5 luca.pizzamiglio 2014-10-13 16:56:36 UTC
Hi Max,
The ${REINPLACE_CMD} line is not needed, you're right.

rakuco removed that and I didn't sync my copy. My fault. Thanks.
Comment 6 Max Brazhnikov freebsd_committer 2014-10-13 17:20:33 UTC
No problem. Btw, take a look how to deal with svn (link to the Porters Handbook above), it greatly simplifies workflow.
Comment 7 luca.pizzamiglio 2014-10-13 17:59:42 UTC
Thanks for the support. I Really appreciate it.

What's exactly the problem with patch file? I followed the instruction and the patch is generated using "svn diff" (as I usually do for every ports I maintain)
Am I still missing something?

I didn't explicitely mentioned in the PR the filename of removed file, that's true.
Comment 8 commit-hook freebsd_committer 2014-10-15 21:44:13 UTC
A commit references this bug:

Author: makc
Date: Wed Oct 15 21:43:24 UTC 2014
New revision: 370957
URL: https://svnweb.freebsd.org/changeset/ports/370957

Log:
  textproc/kdiff3:
  - update to 0.9.98
  - remove upstreamed patches
  - add patch for proper DOCS and NLS options support
  - add LICENSE_FILE
  - drop @dirrm from plist
  - while I'm here, remove USE_KDE4=kdehier (to be deprecated soon)
    and switch to out-of-source build

  PR:		194286
  Submitted by:	luca.pizzamiglio@gmail.com (maintainer)

Changes:
  head/textproc/kdiff3/Makefile
  head/textproc/kdiff3/distinfo
  head/textproc/kdiff3/files/patch-CMakeLists.txt
  head/textproc/kdiff3/files/patch-src-QT4__fileaccess.cpp
  head/textproc/kdiff3/files/patch-src-QT4__kdiff3.cpp
  head/textproc/kdiff3/pkg-plist
Comment 9 Max Brazhnikov freebsd_committer 2014-10-15 22:02:18 UTC
(In reply to luca.pizzamiglio from comment #7)
> Thanks for the support. I Really appreciate it.
> 
> What's exactly the problem with patch file? I followed the instruction and
> the patch is generated using "svn diff" (as I usually do for every ports I
> maintain)
> Am I still missing something?

Have you started with clean checkout before working on update? The problem was that your patch tried to revert changes made by rakuco in r339808 (compare your patch in https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=185807 and the committed version).

> 
> I didn't explicitely mentioned in the PR the filename of removed file,
> that's true.

Not required, but it could be helpful for committer.

I've committed the update with minor modifications. Thanks!